zenilib: zenilib/jni/external/freetype2/src/sfnt/ttsbit0.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Typedefs | Functions
ttsbit0.c File Reference
`#include <ft2build.h>`
`#include <FT_INTERNAL_DEBUG_H>`
`#include <FT_INTERNAL_STREAM_H>`
`#include <FT_TRUETYPE_TAGS_H>`
`#include "ttsbit.h"`
`#include "sferrors.h"`

Go to the source code of this file.

## Macros

#define | FT_COMPONENT trace_ttsbit

## Typedefs

typedef struct TT_SBitDecoderRec_ * | TT_SBitDecoder
typedef FT_Error(* | TT_SBitDecoder_LoadFunc )(TT_SBitDecoder decoder, FT_Byte *p, FT_Byte *plimit, FT_Int x_pos, FT_Int y_pos)
typedef struct TT_SBitDecoderRec_ | TT_SBitDecoderRec

## Functions

| tt_face_free_eblc (TT_Face face)
| tt_face_load_eblc (TT_Face face, FT_Stream stream)
| tt_face_load_sbit_image (TT_Face face, FT_ULong strike_index, FT_UInt glyph_index, FT_UInt load_flags, FT_Stream stream, FT_Bitmap *map, TT_SBit_MetricsRec *metrics)
| tt_face_load_strike_metrics (TT_Face face, FT_ULong strike_index, FT_Size_Metrics *metrics)
| tt_face_set_sbit_strike (TT_Face face, FT_Size_Request req, FT_ULong *astrike_index)
static FT_Error | tt_sbit_decoder_alloc_bitmap (TT_SBitDecoder decoder)
static void | tt_sbit_decoder_done (TT_SBitDecoder decoder)
static FT_Error | tt_sbit_decoder_init (TT_SBitDecoder decoder, TT_Face face, FT_ULong strike_index, TT_SBit_MetricsRec *metrics)
static FT_Error | tt_sbit_decoder_load_bit_aligned (TT_SBitDecoder decoder, FT_Byte *p, FT_Byte *limit, FT_Int x_pos, FT_Int y_pos)
static FT_Error | tt_sbit_decoder_load_bitmap (TT_SBitDecoder decoder, FT_UInt glyph_format, FT_ULong glyph_start, FT_ULong glyph_size, FT_Int x_pos, FT_Int y_pos)
static FT_Error | tt_sbit_decoder_load_byte_aligned (TT_SBitDecoder decoder, FT_Byte *p, FT_Byte *limit, FT_Int x_pos, FT_Int y_pos)
static FT_Error | tt_sbit_decoder_load_compound (TT_SBitDecoder decoder, FT_Byte *p, FT_Byte *limit, FT_Int x_pos, FT_Int y_pos)
static FT_Error | tt_sbit_decoder_load_image (TT_SBitDecoder decoder, FT_UInt glyph_index, FT_Int x_pos, FT_Int y_pos)
static FT_Error | tt_sbit_decoder_load_metrics (TT_SBitDecoder decoder, FT_Byte **pp, FT_Byte *limit, FT_Bool big)

## Macro Definition Documentation

#define FT_COMPONENT trace_ttsbit

Definition at line 39 of file ttsbit0.c.

## Typedef Documentation

typedef struct TT_SBitDecoderRec_ * TT_SBitDecoder

typedef FT_Error(* TT_SBitDecoder_LoadFunc)(TT_SBitDecoder decoder, FT_Byte *p, FT_Byte *plimit, FT_Int x_pos, FT_Int y_pos)

Definition at line 362 of file ttsbit0.c.

typedef struct TT_SBitDecoderRec_ TT_SBitDecoderRec

## Function Documentation

tt_face_free_eblc | ( | TT_Face | face | ) |

Definition at line 110 of file ttsbit0.c.

References FT_FRAME_RELEASE.

tt_face_load_eblc | ( | TT_Face | face,
|  | FT_Stream | stream
| ) |  |

Definition at line 43 of file ttsbit0.c.

References error, FT_ERROR, FT_FRAME_EXTRACT, FT_FRAME_RELEASE, FT_NEXT_ULONG, FT_TRACE3, TTAG_bloc, TTAG_EBLC, and version.

tt_face_load_sbit_image | ( | TT_Face | face,
|  | FT_ULong | strike_index,
|  | FT_UInt | glyph_index,
|  | FT_UInt | load_flags,
|  | FT_Stream | stream,
|  | FT_Bitmap * | map,
|  | TT_SBit_MetricsRec * | metrics
| ) |  |

Definition at line 985 of file ttsbit0.c.

References error, FT_UNUSED, tt_sbit_decoder_done(), tt_sbit_decoder_init(), and tt_sbit_decoder_load_image().

tt_face_load_strike_metrics | ( | TT_Face | face,
|  | FT_ULong | strike_index,
|  | FT_Size_Metrics * | metrics
| ) |  |

Definition at line 131 of file ttsbit0.c.

tt_face_set_sbit_strike | ( | TT_Face | face,
|  | FT_Size_Request | req,
|  | FT_ULong * | astrike_index
| ) |  |

Definition at line 122 of file ttsbit0.c.

References FT_Match_Size().

static FT_Error tt_sbit_decoder_alloc_bitmap | ( | TT_SBitDecoder | decoder | ) |

static

Definition at line 250 of file ttsbit0.c.

References error, ft_glyphslot_alloc_bitmap(), FT_PIXEL_MODE_GRAY, FT_PIXEL_MODE_GRAY2, FT_PIXEL_MODE_GRAY4, FT_PIXEL_MODE_MONO, int, map, FT_Bitmap_::pitch, FT_Bitmap_::pixel_mode, FT_Bitmap_::rows, and FT_Bitmap_::width.

Referenced by tt_sbit_decoder_load_bit_aligned(), tt_sbit_decoder_load_byte_aligned(), and tt_sbit_decoder_load_compound().

static void tt_sbit_decoder_done | ( | TT_SBitDecoder | decoder | ) |

static

Definition at line 243 of file ttsbit0.c.

References FT_UNUSED.

Referenced by tt_face_load_sbit_image().

static FT_Error tt_sbit_decoder_init | ( | TT_SBitDecoder | decoder,
|  | TT_Face | face,
|  | FT_ULong | strike_index,
|  | TT_SBit_MetricsRec * | metrics
| ) |  |

static

Definition at line 182 of file ttsbit0.c.

References FT_GlyphSlotRec_::bitmap, error, FT_NEXT_ULONG, FT_STREAM_POS, FT_FaceRec_::glyph, TT_FaceRec_::goto_table, TT_FaceRec_::root, TT_FaceRec_::sbit_table, TT_FaceRec_::sbit_table_size, FT_FaceRec_::stream, TTAG_bdat, and TTAG_EBDT.

Referenced by tt_face_load_sbit_image().

static FT_Error tt_sbit_decoder_load_bit_aligned | ( | TT_SBitDecoder | decoder,
|  | FT_Byte * | p,
|  | FT_Byte * | limit,
|  | FT_Int | x_pos,
|  | FT_Int | y_pos
| ) |  |

static

Definition at line 508 of file ttsbit0.c.

References FT_Bitmap_::buffer, error, FT_Bitmap_::pitch, FT_Bitmap_::rows, tt_sbit_decoder_alloc_bitmap(), and FT_Bitmap_::width.

Referenced by tt_sbit_decoder_load_bitmap().

static FT_Error tt_sbit_decoder_load_bitmap | ( | TT_SBitDecoder | decoder,
|  | FT_UInt | glyph_format,
|  | FT_ULong | glyph_start,
|  | FT_ULong | glyph_size,
|  | FT_Int | x_pos,
|  | FT_Int | y_pos
| ) |  |

static

Definition at line 695 of file ttsbit0.c.

References error, FT_FRAME_EXTRACT, FT_FRAME_RELEASE, FT_STREAM_SEEK, tt_sbit_decoder_load_bit_aligned(), tt_sbit_decoder_load_byte_aligned(), tt_sbit_decoder_load_compound(), and tt_sbit_decoder_load_metrics().

Referenced by tt_sbit_decoder_load_image().

static FT_Error tt_sbit_decoder_load_byte_aligned | ( | TT_SBitDecoder | decoder,
|  | FT_Byte * | p,
|  | FT_Byte * | limit,
|  | FT_Int | x_pos,
|  | FT_Int | y_pos
| ) |  |

static

Definition at line 370 of file ttsbit0.c.

References FT_Bitmap_::buffer, error, FT_Bitmap_::pitch, FT_Bitmap_::rows, tt_sbit_decoder_alloc_bitmap(), and FT_Bitmap_::width.

Referenced by tt_sbit_decoder_load_bitmap().

static FT_Error tt_sbit_decoder_load_compound | ( | TT_SBitDecoder | decoder,
|  | FT_Byte * | p,
|  | FT_Byte * | limit,
|  | FT_Int | x_pos,
|  | FT_Int | y_pos
| ) |  |

static

Definition at line 631 of file ttsbit0.c.

References error, FT_NEXT_BYTE, FT_NEXT_USHORT, tt_sbit_decoder_alloc_bitmap(), and tt_sbit_decoder_load_image().

Referenced by tt_sbit_decoder_load_bitmap().

static FT_Error tt_sbit_decoder_load_image | ( | TT_SBitDecoder | decoder,
|  | FT_UInt | glyph_index,
|  | FT_Int | x_pos,
|  | FT_Int | y_pos
| ) |  |

static

Definition at line 789 of file ttsbit0.c.

References FT_NEXT_ULONG, FT_NEXT_USHORT, FT_PEEK_USHORT, tt_sbit_decoder_load_bitmap(), and tt_sbit_decoder_load_metrics().

Referenced by tt_face_load_sbit_image(), and tt_sbit_decoder_load_compound().

static FT_Error tt_sbit_decoder_load_metrics | ( | TT_SBitDecoder | decoder,
|  | FT_Byte ** | pp,
|  | FT_Byte * | limit,
|  | FT_Bool | big
| ) |  |

static

Definition at line 315 of file ttsbit0.c.

References TT_SBit_MetricsRec_::height, TT_SBit_MetricsRec_::horiAdvance, TT_SBit_MetricsRec_::horiBearingX, TT_SBit_MetricsRec_::horiBearingY, pp, TT_SBit_MetricsRec_::vertAdvance, TT_SBit_MetricsRec_::vertBearingX, TT_SBit_MetricsRec_::vertBearingY, and TT_SBit_MetricsRec_::width.

Referenced by tt_sbit_decoder_load_bitmap(), and tt_sbit_decoder_load_image().